Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161193 - add setup for UTF8 world to my.cnf
Summary: add setup for UTF8 world to my.cnf
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 08:43 UTC by Takanori MATSUURA
Modified: 2013-07-03 03:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-13 20:17:04 UTC


Attachments (Terms of Use)
updated my.cnf (deleted)
2005-06-21 08:43 UTC, Takanori MATSUURA
no flags Details | Diff

Description Takanori MATSUURA 2005-06-21 08:43:31 UTC
Description of problem:
Now mysql can treat UTF-8 preoperly. But some more options are needed to use it.
Options for using UTF-8 are needed in /etc/my.cnf

Actual results:
eg. When we run mysqldump, some UTF-8 characters are scrambled.

Expected results:
All UTF-8 characters are NOT scrambled.

Comment 1 Takanori MATSUURA 2005-06-21 08:43:31 UTC
Created attachment 115738 [details]
updated my.cnf

Comment 2 Tom Lane 2005-07-11 16:43:11 UTC
I can put this into new releases going forward, I think, but what would happen
if we added these settings in an existing branch?  Wouldn't it scramble the data
in an existing database?

Comment 3 John Thacker 2007-01-13 20:17:04 UTC
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.